GET api/PatientMedications?externalId={externalId}
Gets information about a patient medication.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| externalId |
Patient medications's unique ID on integrating system. |
string |
Required |
Body Parameters
None.
Response Information
Resource Description
PatientMedicationModel| Name | Description | Type | Additional information |
|---|---|---|---|
| PatientExternalId |
Patient externalId of the patient that created the medication. |
string |
None. |
| PatientName |
Patient full name. |
string |
None. |
| PatientBirthday |
Patient birthday. |
date |
None. |
| DoctorExternalId |
Doctor externalId of the doctor that created the medication. |
string |
None. |
| DoctorName |
Doctor full name. |
string |
None. |
| Active |
Patient medication active. |
boolean |
None. |
| Name |
Name of the medication. |
string |
None. |
| Instructions |
Instructions of the medication. |
string |
None. |
| LastRefillRequest |
Last refill request date by the patient. |
date |
None. |
| LastRefillStatus |
Last refill status. Status should be (Pending, Approved or Denied). |
string |
None. |
| Id |
Unique ID of the model in the portal (Read only). |
globally unique identifier |
None. |
| ExternalId |
Unique ID of the model on integrating system (Required). |
string |
None. |
Response Formats
application/json, text/json
Sample:
{
"patientExternalId": "sample string 1",
"patientName": "sample string 2",
"patientBirthday": "2026-05-29T16:58:35.940735+00:00",
"doctorExternalId": "sample string 3",
"doctorName": "sample string 4",
"active": true,
"name": "sample string 6",
"instructions": "sample string 7",
"lastRefillRequest": "2026-05-29T16:58:35.940735+00:00",
"lastRefillStatus": "sample string 8",
"id": "74a3566c-167c-40b9-ab26-fd3cbd361f00",
"externalId": "sample string 10"
}
application/xml, text/xml
Sample:
<PatientMedicationModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models.PatientMedications"> <ExternalId xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">sample string 10</ExternalId> <Id xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">74a3566c-167c-40b9-ab26-fd3cbd361f00</Id> <Active>true</Active> <DoctorExternalId>sample string 3</DoctorExternalId> <DoctorName>sample string 4</DoctorName> <Instructions>sample string 7</Instructions> <LastRefillRequest>2026-05-29T16:58:35.940735+00:00</LastRefillRequest> <LastRefillStatus>sample string 8</LastRefillStatus> <Name>sample string 6</Name> <PatientBirthday>2026-05-29T16:58:35.940735+00:00</PatientBirthday> <PatientExternalId>sample string 1</PatientExternalId> <PatientName>sample string 2</PatientName> </PatientMedicationModel>